Name:          minim
Version:       2.0.2
Release:       %mkrel 4
Summary:       A Java audio library, designed to be used with Processing
Group:         Development/Java
License:       LGPL
# https://github.com/ddf
Url:           http://code.compartmental.net/tools/minim/

#Source0:       http://code.compartmental.net/minim/distro/-full.zip
# git clone https://github.com/ddf/Minim.git minim-2.0.2
# tar czf minim-2.0.2-src-git.tar.gz minim-2.0.2
Source0:       minim-2.0.2-src-git.tar.gz
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jlayer
BuildRequires: mp3spi
BuildRequires: processing-core
BuildRequires: tritonus-aos
BuildRequires: tritonus-shared
Requires:      jlayer
Requires:      jpackage-utils
Requires:      mp3spi
Requires:      processing-core
Requires:      tritonus-aos
Requires:      tritonus-shared
BuildArch:     noarch

%description
Minim is an audio library that uses the JavaSound API, a bit of Tritonus, and Javazoom’s
MP3SPI to provide an easy to use audio library for people developing in the Processing
environment. The philosophy behind the API is to make integrating audio into your sketches
as simple as possible while still providing a reasonable amount of flexibility for more
advanced users. There are no callbacks and you do not ever need to directly manipulate
sample arrays, all of the dirty work is handled for you.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Minim - A Java audio library, designed to be used with Processing.

This package contains javadoc for %{name}.

%prep
%setup -q -n minim-%{version}
for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done
pushd library
	ln -sf $(build-classpath jlayer) jl1.0.jar
	ln -sf $(build-classpath mp3spi) mp3spi1.9.4.jar
	ln -sf $(build-classpath tritonus_aos) .
	ln -sf $(build-classpath tritonus_share) .
popd
ln -sf $(build-classpath processing/core) ext/core.jar

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build
ant library doc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 library/minim.jar %{buildroot}%{_javadir}/
install -pm 644 library/jsminim.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_javadocdir}/minim
cp -pr doc/* %{buildroot}%{_javadocdir}/minim/

%files
%{_javadir}/jsminim.jar
%{_javadir}/minim.jar
%doc changelog.txt license.txt README

%files javadoc
%{_javadocdir}/minim



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-4.mga4
+ Revision: 521153
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 2.0.2-3.mga3
+ Revision: 388864
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 dmorgan <dmorgan> 2.0.2-2.mga2
+ Revision: 163986
- Review and clean spec file

  + gil <gil>
    - imported package minim


* Sat Jul 23 2011 gil <gil> 2.0.2-0.%%mkrel
- initial rpm

